import React from 'react'
import {
	Box,
	Divider,
	makeStyles,
	Card,
	Typography,
	CardHeader,
    CardContent
} from '@material-ui/core'

const useStyles = makeStyles(theme => ({
	root: {
		display: 'flex',
		flexDirection: 'column',
		alignItems: 'center',
		justifyContent: 'center',
		height: '100vh',
		backgroundColor: theme.palette.background.default
	},
	card: {
		display: 'flex',
		flexDirection: 'column',
		alignItems: 'center',
		justifyContent: 'center',
        padding: '0px 30px',
        minHeight: '20vh'
    },
    actions: {
        justifyContent: 'center'
    }
}))

export default function Finalizado() {
	const classes = useStyles()

	return (
		<Box className={classes.root}>
			<Card>
				<CardHeader
					disableTypography
					title={
						<Typography variant='h5' align='center'>
							Finalizado
						</Typography>
					}
				/>
				<Divider />
				<CardContent>
					<Typography variant='h6'>Registro completado exitosamente</Typography>
				</CardContent>
			</Card>
		</Box>
	)
}