import React from 'react'
import {
	Box,
	Button,
	Divider,
	makeStyles,
	Card,
	Typography,
	CardHeader,
	CardActions,
    CardContent
} from '@material-ui/core'
import { useHistory } from 'react-router-dom'

const useStyles = makeStyles(theme => ({
	root: {
		display: 'flex',
		flexDirection: 'column',
		alignItems: 'center',
		justifyContent: 'center',
		height: '100vh',
		backgroundColor: theme.palette.background.default
	},
	card: {
		display: 'flex',
		flexDirection: 'column',
		alignItems: 'center',
		justifyContent: 'center',
        padding: '0px 30px',
        minHeight: '20vh'
    },
    actions: {
        justifyContent: 'center'
    }
}))

export default function Inicio() {
	const classes = useStyles()

	const history = useHistory()

	const comenzar = () => history.push('/formulario')

	return (
		<Box className={classes.root}>
			<Card>
				<CardHeader
					disableTypography
					title={
						<Typography variant='h5' align='center'>
							Bienvenido
						</Typography>
					}
				/>
				<Divider />
				<CardContent>
					<Typography variant='h6'>Para comenzar con el registro presione el boton de abajo</Typography>
				</CardContent>
				<Divider />
				<CardActions className={classes.actions}>
					<Button variant='contained' color='primary' onClick={comenzar}>
						Comenzar
					</Button>
				</CardActions>
			</Card>
		</Box>
	)
}